# comment out if not prerelease
%define prel	beta1

%define rel	3

%if 0%{?prel:1}
# use lowercase %%prel in %%release
# because e.g. RC1 < beta1 (in ASCII R=82 and b=98)
%global lpre    %{lua: print(string.lower(rpm.expand('%prel')))}
%endif

Name:		openttd
Version:	15.0
Release:	%mkrel %{?prel:0.%lpre.}%{rel}

Summary:	An open source clone of the Microprose game "Transport Tycoon Deluxe" game
Group:		Games/Strategy
License:	GPLv2
URL:		https://www.openttd.org
Source0:	https://cdn.openttd.org/openttd-releases/%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}-source.tar.xz
Patch1:		0001-Don-t-override-system-_FORTIFY_SOURCE.patch
BuildRequires:	ccache
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	desktop-file-utils
BuildRequires:	freetype-devel
BuildRequires:	grfcodec >= 6.0.5-0.r985
BuildRequires:	icu-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(allegro) < 5
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	unzip
Requires:	timidity++
Requires:	%{name}-opengfx >= 0.5.2
Requires:	%{name}-opensfx
Requires:	%{name}-openmsx

%description
OpenTTD is an open source clone of the Microprose game "Transport Tycoon
Deluxe" game.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

#cleanup
rm -rf %{buildroot}%{_datadir}/pixmaps

# fix desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
        --add-category=StrategyGame \
        --remove-key=Version \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc *.txt *.md
%doc %{_docdir}/%{name}/docs/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.*


%changelog
* Sun Jan 12 2025 wally <wally> 15.0-0.beta1.3.mga10
+ Revision: 2138395
- rebuild for icu 76.1

* Thu Jan 09 2025 wally <wally> 15.0-0.beta1.2.mga10
+ Revision: 2136354
- build with allegro and opusfile
- don't override system _FORTIFY_SOURCE

* Thu Jan 09 2025 wally <wally> 15.0-0.beta1.1.mga10
+ Revision: 2136328
- new version 15.0-beta1

* Thu Jul 18 2024 wally <wally> 14.1-1.mga10
+ Revision: 2082028
- new version 14.1

* Wed Mar 27 2024 wally <wally> 14.0-0.rc3.1.mga10
+ Revision: 2052706
- new version 14.0 RC3

* Wed Nov 22 2023 wally <wally> 13.4-1.mga10
+ Revision: 2009123
- new version 13.4

* Wed Sep 27 2023 tv <tv> 13.3-2.mga10
+ Revision: 1991353
- Rebuild for icu-73

* Sat Jun 17 2023 wally <wally> 13.3-1.mga9
+ Revision: 1962284
- new version 13.3

* Sat Jun 03 2023 wally <wally> 13.1-1.mga9
+ Revision: 1960680
- new version 13.1

* Tue Feb 28 2023 wally <wally> 13.0-1.mga9
+ Revision: 1945832
- new version 13.0

* Sat Jan 07 2023 squidf <squidf> 13.0-0.rc1.2.mga9
+ Revision: 1931149
- Mass rebuild for icu 72.1

* Fri Jan 06 2023 wally <wally> 13.0-0.rc1.1.mga9
+ Revision: 1930805
- new version 13.0 RC1

* Sat Jun 18 2022 squidf <squidf> 12.2-2.mga9
+ Revision: 1864881
- rebuild for icu 71.1

* Tue Apr 05 2022 wally <wally> 12.2-1.mga9
+ Revision: 1845271
- new version 12.2

* Fri Apr 01 2022 umeabot <umeabot> 12.1-2.mga9
+ Revision: 1839302
- Mageia 9 Mass Rebuild

* Tue Nov 09 2021 wally <wally> 12.1-1.mga9
+ Revision: 1755402
- new version 12.1

* Sun Nov 07 2021 wally <wally> 12.0-1.mga9
+ Revision: 1754393
- new version 12.0

* Wed Oct 06 2021 wally <wally> 12.0-0.rc1.1.mga9
+ Revision: 1749782
- new version 12.0-RC1

* Thu Sep 16 2021 wally <wally> 12.0-0.beta2.1.mga9
+ Revision: 1745607
- new version 12.0-beta2

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.11.2-3.mga9
+ Revision: 1740557
- rebuild for fluidsynth

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.11.2-2.mga9
+ Revision: 1738955
- rebuild for icu

* Wed May 05 2021 wally <wally> 1.11.2-1.mga9
+ Revision: 1721444
- new version 1.11.2

* Wed Apr 21 2021 wally <wally> 1.11.1-1.mga9
+ Revision: 1717872
- new version 1.11.1

* Mon Apr 05 2021 wally <wally> 1.11.0-1.mga9
+ Revision: 1713437
- new version 1.11.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.10.3-2.mga8
+ Revision: 1650911
- rebuild for icu

* Mon Aug 17 2020 wally <wally> 1.10.3-1.mga8
+ Revision: 1614623
- new version 1.10.3

* Wed Jul 01 2020 wally <wally> 1.10.2-2.mga8
+ Revision: 1601048
- rebuild for icu 67.1

* Sun Jun 07 2020 wally <wally> 1.10.2-1.mga8
+ Revision: 1590867
- new version 1.10.2

* Thu Apr 16 2020 wally <wally> 1.10.1-1.mga8
+ Revision: 1567885
- new version 1.10.1

* Sat Apr 04 2020 wally <wally> 1.10.0-1.mga8
+ Revision: 1564518
- new version 1.10.0
- rebuild for new icu 66.1

* Thu Feb 27 2020 wally <wally> 1.10.0-0.rc1.1.mga8
+ Revision: 1551068
- new version 1.10.0-RC1

* Tue Feb 18 2020 umeabot <umeabot> 1.10.0-0.beta2.2.mga8
+ Revision: 1542007
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 1.10.0-0.beta2.1.mga8
+ Revision: 1475893
- new version 1.10.0-beta2

* Wed Oct 30 2019 wally <wally> 1.10.0-0.beta1.1.mga8
+ Revision: 1456862
- switch to sdl2
- new version 1.10.0 beta1

* Sat Oct 05 2019 daviddavid <daviddavid> 1.9.3-2.mga8
+ Revision: 1449489
- rebuild for new icu 65.1

* Fri Sep 20 2019 wally <wally> 1.9.3-1.mga8
+ Revision: 1444019
- new version 1.9.3

* Thu Jul 25 2019 wally <wally> 1.9.2-1.mga8
+ Revision: 1423890
- new version 1.9.2

* Wed Apr 10 2019 wally <wally> 1.9.1-1.mga7
+ Revision: 1387975
- new version 1.9.1

* Tue Apr 02 2019 wally <wally> 1.9.0-1.mga7
+ Revision: 1385426
- new version 1.9.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.8.0-3.mga7
+ Revision: 1346105
- rebuild for icu

* Tue Aug 28 2018 daviddavid <daviddavid> 1.8.0-2.mga7
+ Revision: 1255169
- add patch to fix build against icu >= 61
- rebuild for new icu

* Fri Apr 20 2018 wally <wally> 1.8.0-1.mga7
+ Revision: 1220545
- new version 1.8.0

* Fri Dec 29 2017 wally <wally> 1.7.2-2.mga7
+ Revision: 1186996
- rebuild for new icu

* Thu Dec 28 2017 akien <akien> 1.7.2-1.mga7
+ Revision: 1186261
- Version 1.7.2 final

* Tue Dec 12 2017 wally <wally> 1.7.2-0.rc1.1.mga7
+ Revision: 1182466
- new version 1.7.2-RC1

* Fri Jun 16 2017 wally <wally> 1.7.1-1.mga6
+ Revision: 1107825
- new version 1.7.1

* Wed Apr 05 2017 wally <wally> 1.7.0-1.mga6
+ Revision: 1095990
- new version 1.7.0

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.6.1-2.mga6
+ Revision: 1092755
- Rebuild for icu-58.2

* Sat Jul 02 2016 wally <wally> 1.6.1-1.mga6
+ Revision: 1038284
- new version 1.6.1

* Sat May 14 2016 shlomif <shlomif> 1.6.0-2.mga6
+ Revision: 1015264
- Rebuild for the new UCI (new major)

* Sat Apr 02 2016 wally <wally> 1.6.0-1.mga6
+ Revision: 997615
- new version 1.6.0

* Fri Mar 04 2016 wally <wally> 1.6.0-0.rc1.1.mga6
+ Revision: 985669
- new version 1.6.0 rc1

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.5.3-2.mga6
+ Revision: 917912
- rebuild for icu

* Sat Dec 05 2015 wally <wally> 1.5.3-1.mga6
+ Revision: 908393
- new version 1.5.3

* Mon Nov 02 2015 wally <wally> 1.5.3-0.rc1.1.mga6
+ Revision: 897337
- new version 1.5.3 rc1

* Sat Sep 19 2015 wally <wally> 1.5.2-1.mga6
+ Revision: 881305
- new version 1.5.2

* Wed Aug 05 2015 wally <wally> 1.5.2-0.rc1.1.mga6
+ Revision: 861355
- new version 1.5.2 RC1

* Sat Jul 25 2015 cjw <cjw> 1.5.1-2.mga6
+ Revision: 857428
- rebuild for icu 55

* Sun Jun 21 2015 wally <wally> 1.5.1-1.mga6
+ Revision: 837624
- new version 1.5.1

* Sat Apr 18 2015 wally <wally> 1.5.0-1.mga5
+ Revision: 820463
- new version 1.5.0
- drop patches from upstream

* Mon Feb 16 2015 wally <wally> 1.4.4-2.mga5
+ Revision: 815115
- add patch originally from upstream to fix build with freetype2 >= 2.5.4

* Thu Oct 23 2014 wally <wally> 1.4.4-1.mga5
+ Revision: 792719
- new version 1.4.4

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5
+ Revision: 744496
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 wally <wally> 1.4.3-1.mga5
+ Revision: 724342
- new version 1.4.3

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-0.rc2.2.mga5
+ Revision: 683252
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 wally <wally> 1.4.3-0.rc2.1.mga5
+ Revision: 676782
- new version 1.4.3 RC2

* Mon Sep 08 2014 wally <wally> 1.4.3-0.rc1.1.mga5
+ Revision: 673714
- new version 1.4.3 RC1

* Sat Aug 23 2014 wally <wally> 1.4.2-1.mga5
+ Revision: 666587
- new version 1.4.2

* Sun Aug 03 2014 wally <wally> 1.4.2-0.rc2.1.mga5
+ Revision: 659482
- new version 1.4.2 RC2

* Tue Jul 08 2014 wally <wally> 1.4.2-0.rc1.1.mga5
+ Revision: 650747
- new version 1.4.2 RC1

* Wed Jun 04 2014 wally <wally> 1.4.1-1.mga5
+ Revision: 633088
- new version 1.4.1

* Wed May 21 2014 wally <wally> 1.4.1-0.rc2.1.mga5
+ Revision: 624737
- new version 1.4.1 rc2

* Mon May 05 2014 wally <wally> 1.4.1-0.rc1.1.mga5
+ Revision: 620315
- new version 1.4.1 RC1

* Sat Apr 05 2014 wally <wally> 1.4.0-2.mga5
+ Revision: 611902
- rebuild for new icu

* Fri Apr 04 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 611697
- new version 1.4.0

* Wed Mar 19 2014 wally <wally> 1.4.0-0.rc1.1.mga5
+ Revision: 605791
- new version 1.4.0 RC1

* Mon Mar 03 2014 wally <wally> 1.4.0-0.beta5.1.mga5
+ Revision: 598920
- new version 1.4.0 beta5

* Fri Feb 07 2014 wally <wally> 1.4.0-0.beta4.1.mga5
+ Revision: 585433
- new version 1.4.0 beta 4

* Tue Feb 04 2014 wally <wally> 1.4.0-0.beta3.1.mga5
+ Revision: 580978
- new version 1.4.0 beta3

* Mon Dec 02 2013 wally <wally> 1.3.3-1.mga4
+ Revision: 554687
- new version 1.3.3
- fixes CVE-2013-6411 (mga#11852)

* Mon Oct 21 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 537667
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 1.3.2-2.mga4
+ Revision: 487494
- rebuild for icu 52

* Sat Jul 27 2013 wally <wally> 1.3.2-1.mga4
+ Revision: 459156
- final version 1.3.2

* Sun Jul 14 2013 wally <wally> 1.3.2-0.rc2.1.mga4
+ Revision: 454090
- new version 1.3.2 rc2

* Wed Jul 03 2013 wally <wally> 1.3.2-0.rc1.1.mga4
+ Revision: 449961
- new version 1.3.2 rc1

* Mon Jun 03 2013 fwang <fwang> 1.3.1-2.mga4
+ Revision: 436029
- rebuild for new libpng

* Sat Jun 01 2013 wally <wally> 1.3.1-1.mga4
+ Revision: 434227
- new version 1.3.1

* Sun May 26 2013 fwang <fwang> 1.3.1-0.rc1.2.mga4
+ Revision: 428050
- rebuild for new icu

* Thu May 23 2013 wally <wally> 1.3.1-0.rc1.1.mga4
+ Revision: 424989
- new version 1.3.1 rc1

* Mon Apr 01 2013 wally <wally> 1.3.0-1.mga3
+ Revision: 407046
- new version 1.3.0 final

* Tue Mar 19 2013 wally <wally> 1.3.0-0.rc3.1.mga3
+ Revision: 404080
- new version 1.3.0 rc3

* Wed Mar 06 2013 wally <wally> 1.3.0-0.rc2.1.mga3
+ Revision: 401559
- new version 1.3.0 RC2

* Thu Feb 21 2013 wally <wally> 1.3.0-0.rc1.1.mga3
+ Revision: 399644
- new version 1.3.0 RC1

* Fri Feb 08 2013 wally <wally> 1.3.0-0.beta2.1.mga3
+ Revision: 396843
- new version 1.3.0 beta2

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-0.beta1.2.mga3
+ Revision: 362174
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 1.3.0-0.beta1.1.mga3
+ Revision: 335046
- new version 1.3.0 beta1

* Fri Nov 09 2012 fwang <fwang> 1.2.3-4.mga3
+ Revision: 316665
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1.2.3-3.mga3
+ Revision: 314782
- rebuild for new icu

* Thu Nov 01 2012 wally <wally> 1.2.3-2.mga3
+ Revision: 312224
- BR grfcodec

* Thu Nov 01 2012 wally <wally> 1.2.3-1.mga3
+ Revision: 312111
- new version 1.2.3

* Thu Oct 18 2012 wally <wally> 1.2.3-0.rc1.1.mga3
+ Revision: 307994
- new version 1.2.3 RC1

* Fri Aug 17 2012 wally <wally> 1.2.2-1.mga3
+ Revision: 281871
- new version 1.2.2 final

* Sun Aug 05 2012 wally <wally> 1.2.2-0.rc1.1.mga3
+ Revision: 278617
- new version 1.2.2 RC1

* Fri Jun 08 2012 dams <dams> 1.2.1-2.mga3
+ Revision: 257715
- clean/update specfile

* Fri Jun 01 2012 wally <wally> 1.2.1-1.mga3
+ Revision: 252882
- new version 1.2.1

* Tue May 29 2012 ovitters <ovitters> 1.2.1-0.rc1.3.mga3
+ Revision: 249426
- rebuild due to new libicu

* Tue May 29 2012 wally <wally> 1.2.1-0.rc1.2.mga3
+ Revision: 249418
- rebuild for new icu

* Mon May 28 2012 wally <wally> 1.2.1-0.rc1.1.mga3
+ Revision: 248350
- new version 1.2.1 rc1

* Sun Apr 15 2012 wally <wally> 1.2.0-1.mga2
+ Revision: 230899
- new version 1.2.0

* Sun Apr 01 2012 wally <wally> 1.2.0-0.rc4.1.mga2
+ Revision: 227678
- new version 1.2.0 RC4

* Mon Mar 26 2012 zezinho <zezinho> 1.2.0-0.rc3.1.mga2
+ Revision: 226549
- new version 1.2.0 rc3

* Tue Mar 06 2012 wally <wally> 1.2.0-0.rc2.1.mga2
+ Revision: 220398
- new version 1.2.0 rc2

* Mon Feb 20 2012 wally <wally> 1.2.0-0.rc1.1.mga2
+ Revision: 211213
- new version 1.2.0 RC1

* Sun Feb 05 2012 wally <wally> 1.2.0-0.beta4.1.mga2
+ Revision: 204565
- new version 1.2.0 beta4

* Mon Jan 23 2012 wally <wally> 1.2.0-0.beta3.1.mga2
+ Revision: 200309
- new version 1.2.0 beta3

* Sat Jan 07 2012 wally <wally> 1.2.0-0.beta2.1.mga2
+ Revision: 192870
- new version 1.2.0 beta2

* Sun Dec 25 2011 wally <wally> 1.2.0-0.beta1.1.mga2
+ Revision: 187522
- new version 1.2.0beta1

* Tue Dec 06 2011 wally <wally> 1.1.4-1.mga2
+ Revision: 177939
- new version 1.1.4

* Mon Nov 21 2011 wally <wally> 1.1.4-0.rc1.1.mga2
+ Revision: 170656
- new pre-release 1.1.4 RC1

* Mon Sep 19 2011 wally <wally> 1.1.3-2.mga2
+ Revision: 145595
- really enable ccache again

* Fri Sep 16 2011 wally <wally> 1.1.3-1.mga2
+ Revision: 144321
- new version 1.1.3

* Tue Sep 06 2011 wally <wally> 1.1.3-0.rc1.1.mga2
+ Revision: 139667
- add BR to desktop-file-utils
- enable ccache BR again
- new version 1.1.3 rc1

* Sun Aug 14 2011 wally <wally> 1.1.2-1.mga2
+ Revision: 133317
- new version 1.1.2

* Sun Jul 31 2011 wally <wally> 1.1.2-0.rc2.1.mga2
+ Revision: 130905
- new version 1.1.2 RC2
- new version 1.1.2 RC1

* Mon Jun 20 2011 fwang <fwang> 1.1.1-2.mga2
+ Revision: 110365
- rebuild for new icu

* Tue Jun 07 2011 wally <wally> 1.1.1-1.mga2
+ Revision: 101491
- new version 1.1.1

* Fri Apr 01 2011 wally <wally> 1.1.0-1.mga1
+ Revision: 79499
- new version 1.1.0
- drop buildroot definition

* Sat Mar 19 2011 wally <wally> 1.1.0-0.rc3.1.mga1
+ Revision: 74397
- new version 1.1.0 RC3

* Sat Mar 05 2011 wally <wally> 1.1.0-0.rc2.1.mga1
+ Revision: 64640
- new version 1.1.0 RC2

* Sat Feb 19 2011 wally <wally> 1.1.0-0.rc1.1.mga1
+ Revision: 54128
- new version 1.1.0 RC1

* Wed Feb 16 2011 wally <wally> 1.1.0-0.beta5.1.mga1
+ Revision: 52713
- new version 1.1.0-beta5

* Sat Jan 22 2011 wally <wally> 1.1.0-0.beta4.1.mga1
+ Revision: 33200
- new version 1.1.0 beta4
- change to xz compressed source
- temporarily disable use of ccache on build time
- imported package openttd


* Sat Jan 01 2011 Jani Välimaa <wally@mandriva.org> 1.1.0-0.beta2.1mdv2011.0
+ Revision: 626980
- new version 1.1.0-beta2

* Sat Dec 25 2010 Jani Välimaa <wally@mandriva.org> 1.1.0-0.beta1.1mdv2011.0
+ Revision: 625106
- add liblzma-devel BR
- new version 1.1.0-beta1
- increase build time verbosity

* Sun Nov 21 2010 Jani Välimaa <wally@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 599391
- new version 1.0.5
  - fixes CVE-2010-4168

* Mon Nov 15 2010 Jani Välimaa <wally@mandriva.org> 1.0.5-0.RC2.1mdv2011.0
+ Revision: 597649
- new pre-release 1.0.5 RC2

* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 1.0.5-0.RC1.1mdv2011.0
+ Revision: 591247
- new version 1.0.5 RC1

* Wed Sep 15 2010 Jani Välimaa <wally@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 578682
- new version 1.0.4

* Tue Aug 31 2010 Jani Välimaa <wally@mandriva.org> 1.0.4-0.RC1.1mdv2011.0
+ Revision: 574876
- new version 1.0.4 RC1

* Sun Aug 01 2010 Jani Välimaa <wally@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 564216
- new version 1.0.3
- fixes CVE-2010-2534 and other bugs

* Wed Jul 21 2010 Jani Välimaa <wally@mandriva.org> 1.0.3-0.RC1.1mdv2011.0
+ Revision: 556310
- new version

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 550024
- new version 1.0.2
- use upstream provided desktop file

* Sat May 01 2010 Jani Välimaa <wally@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 541417
- the final version of bugfix release 1.0.1

* Thu Apr 22 2010 Jani Välimaa <wally@mandriva.org> 1.0.1-0.RC2.1mdv2010.1
+ Revision: 537951
- new bugfix pre-release 1.0.1 RC2

* Sun Apr 18 2010 Jani Välimaa <wally@mandriva.org> 1.0.1-0.RC1.1mdv2010.1
+ Revision: 536493
- new bugfix pre-release 1.0.1 RC1
- improve .spec to ease building pre-releases

* Fri Apr 16 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-3mdv2010.1
+ Revision: 535648
- fix compiler flags
- build with ccache

* Wed Apr 14 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 534888
- clean and improve .spec a little bit
- fix BRs, remove unneeded and add needed
- opengfx, opensfx and openmsx are now in a separate packages
- fix .desktop file

* Tue Apr 06 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 532112
- update opengfx and opensfx
- add openmsx and require TiMidity++ for sounds
- fix license
- add missing BR
- use compiler flags on build time

  + Olivier Faurax <ofaurax@mandriva.org>
    - New release: 1.0.0

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix mixed use of spaces and tabs
    - fix %%prep

* Mon Dec 28 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.0-0.beta1mdv2010.1
+ Revision: 483120
- Update to 1.0.0-beta 1 in order to completelly remove the dependency on the
  original game data files

* Sat Dec 12 2009 trem <trem@mandriva.org> 0.7.4-2mdv2010.1
+ Revision: 477848
- add missing file opengfx and opensfx

* Tue Aug 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 415138
- update to new version 0.7.2

* Wed Jun 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 384928
- Update to new version 0.7.1

* Wed Mar 18 2009 Zombie Ryushu <ryushu@mandriva.org> 0.6.3-2mdv2009.1
+ Revision: 357539
- Fix pixmap paths in the install stage

* Mon Dec 08 2008 Zombie Ryushu <ryushu@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 311782
- Fix pixmap paths in the install stage
- Fix pixmap paths
- Version bump to 0.6.3
- Version bump to 0.6.3

* Sun Aug 03 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 262435
- update to new version 0.6.2

* Thu Apr 10 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.6.0-1mdv2009.0
+ Revision: 192551
- New upstream release: 0.6.0

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 101456
- New release
- New release

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Mon Jun 11 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2-1mdv2008.0
+ Revision: 38038
- new upstream release: 0.5.2

* Thu May 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.1-1mdv2008.0
+ Revision: 21468
- Import openttd



* Thu May 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.1-1mdv2008.0
- Initial package for OpenTTD
